// 
// Generic utility functions
//

#define UTIL_SHAPE_BELL 0
#define UTIL_SHAPE_RAMP 1

#define UTIL_REL_LIN    0
#define UTIL_REL_LOG    1

#define UTIL_MAX        0
#define UTIL_MIN        1

typedef struct utility_s * utility;

utility utility_create(float _target, int _shape, int _scale, int _minmax);
void utility_free(utility _u);

float utility_evaluate(utility _u, float _x);


